<?php
namespace Modules\API\APIInterne\Mail\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class Mail
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function unitaire(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function asynchroneMail(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function imapConnectionCheck(): bool
    {
        return true;
    }
}
